### Function

# GLib idle_source_new

#### Declaration

    GSource*
    g_idle_source_new (
      void
    )

#### Description

Creates a new idle source.

The source will not initially be associated with any `GMainContext` and must be added to one with `g_source_attach()` before it will be executed. Note that the default priority for idle sources is `G_PRIORITY_DEFAULT_IDLE`, as compared to other sources which have a default priority of `G_PRIORITY_DEFAULT`.

#### Return value

Type: `GSource`

The newly-created idle source.

The caller of the function takes ownership of the data, and is responsible for freeing it.